AWSServiceIOException (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a, class: AWSServiceIOException

Package org.apache.hadoop.fs.s3a

# Class AWSServiceIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.fs.s3a.AWSClientIOException
org.apache.hadoop.fs.s3a.AWSServiceIOException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AWSS3IOException`

@Public @Evolving public class AWSServiceIOException extends org.apache.hadoop.fs.s3a.AWSClientIOException
A specific exception from AWS operations. The exception must always be created with an `AwsServiceException`. The attributes of this exception can all be directly accessed.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AWSServiceIOException(String operation, software.amazon.awssdk.awscore.exception.AwsServiceException cause)`
  Instantiate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `software.amazon.awssdk.awscore.exception.AwsErrorDetails`
  `awsErrorDetails()`
  `String`
  `extendedRequestId()`
  `software.amazon.awssdk.awscore.exception.AwsServiceException`
  `getCause()`
  `String`
  `requestId()`
  `int`
  `statusCode()`

  ### Methods inherited from class org.apache.hadoop.fs.s3a.AWSClientIOException

  `getMessage, getOperation, retryable`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AWSServiceIOException

    public AWSServiceIOException(String operation, software.amazon.awssdk.awscore.exception.AwsServiceException cause)
    Instantiate.
    Parameters:
      `operation` - operation which triggered this
      `cause` - the underlying cause

- ## Method Details

  - ### getCause

    public software.amazon.awssdk.awscore.exception.AwsServiceException getCause()
    Overrides:
      `getCause` in class `org.apache.hadoop.fs.s3a.AWSClientIOException`

  - ### requestId

    public String requestId()

  - ### awsErrorDetails

    public software.amazon.awssdk.awscore.exception.AwsErrorDetails awsErrorDetails()

  - ### statusCode

    public int statusCode()

  - ### extendedRequestId

    public String extendedRequestId()